Summary:   A WYSIWYG frontend to LaTeX
Name:      lyx
Version:   0.12.1pre6
Release:   1cz
Source0:   ftp://ftp.lyx.org/pub/lyx/stable/lyx-%{PACKAGE_VERSION}.tar.gz
Source1:   lyx-local-cz.tar.gz
# Source2:   http://www.inf.upol.cz/~michlv/ftp/catalogs/lyx-0.12.cs.po
Patch:     lyx.patch
Copyright: GPL
Group:     X11/Applications/Publishing
Requires:  xforms >= 0.86, gv, tetex-xdvi, tetex-latex
Packager:  Jan "Yenya" Kasprzak <kas@fi.muni.cz>
URL:       http://www-pu.informatik.uni-tuebingen.de/users/ettrich/lyx.html
Buildroot: /tmp/lyx-%{PACKAGE_VERSION}-root

%description
LyX is a wordprocessor frontend to LaTeX, which gives both the
ease-of-use of a wordprocessor, and the flexibility and power of LaTeX.

This package contains some modifications for usage in the Czech language
environment.

%prep

if g++ -v |grep -q egcs
then
	echo "WARNING: This version of LyX is known to have problems"
	echo "         when compiled with egcs. Please use gcc/g++ instead"
	exit 1
fi

%setup
%setup -T -D -a 1
	
%patch -p1

%build
# msgfmt -v -o lyx.mo ${RPM_SOURCE_DIR}/lyx-0.12.cs.po

CXXFLAGS="$RPM_OPT_FLAGS" \
./configure     --prefix=/usr \
		--with-included-gettext \
		--enable-nls

make all localedir=/usr/share/locale


%install

mkdir -p ${RPM_BUILD_ROOT}/usr

make	install prefix=$RPM_BUILD_ROOT/usr \
	localedir=$RPM_BUILD_ROOT/usr/share/locale \
	gnulocaledir=$RPM_BUILD_ROOT/usr/share/locale

mkdir -p ${RPM_BUILD_ROOT}/usr/share/locale/cs_CZ/LC_MESSAGES
install -m 0644 local/catalog/lyx.mo ${RPM_BUILD_ROOT}/usr/share/locale/cs_CZ/LC_MESSAGES

mv ${RPM_BUILD_ROOT}/usr/share/lyx/lyxrc ${RPM_BUILD_ROOT}/usr/share/lyx/lyxrc.english
install -m 644 local/config/lyxrc ${RPM_BUILD_ROOT}/usr/share/lyx/lyxrc
install -m 644 local/config/defaults.lyx ${RPM_BUILD_ROOT}/usr/share/lyx/templates
cp local/doc/* .

%post
cd /usr/share/lyx/
./configure > /dev/null
cp /usr/share/lyx/lyxrc.defaults /usr/X11R6/share/lyx/lyxrc

%preun
if [ "$1" -eq 0 ]
then
	rm -f /usr/X11R6/share/lyx/{lyxrc.defaults,textclass.lst,lyxrc}
fi

%files
%attr(0755,root,root) /usr/bin/lyx
%attr(0755,root,root) /usr/bin/reLyX
%attr(0644,root,root) /usr/man/man1/reLyX.1
%attr(0644,root,root) /usr/man/man1/lyx.1
%attr(0644,root,root) /usr/share/locale/*/LC_MESSAGES/lyx.mo
%attr(0755,root,root) %dir /usr/share/lyx
%attr(0755,root,root) %dir /usr/share/lyx/clipart
%attr(0644,root,root) /usr/share/lyx/clipart/*
%attr(0755,root,root) %dir /usr/share/lyx/layouts
%attr(0644,root,root) /usr/share/lyx/layouts/*
%attr(0755,root,root) %dir /usr/share/lyx/doc
%attr(0644,root,root) %doc /usr/share/lyx/doc/*
%attr(0755,root,root) %dir /usr/share/lyx/kbd
%attr(0644,root,root) /usr/share/lyx/kbd/*
%attr(0755,root,root) %dir /usr/share/lyx/templates
%attr(0644,root,root) /usr/share/lyx/templates/*
%attr(0755,root,root) %dir /usr/share/lyx/bind
%attr(0644,root,root) /usr/share/lyx/bind/*
%attr(0755,root,root) %dir /usr/share/lyx/examples
%attr(0644,root,root) %doc /usr/share/lyx/examples/*
%attr(0755,root,root) %dir /usr/share/lyx/tex
%attr(0644,root,root) /usr/share/lyx/tex/*
%attr(0755,root,root) %dir /usr/share/lyx/images
%attr(0644,root,root) /usr/share/lyx/images/*
%attr(0755,root,root) %dir /usr/share/lyx/reLyX
%attr(0755,root,root) %dir /usr/share/lyx/reLyX/Text
%attr(0644,root,root) /usr/share/lyx/reLyX/Text/*
%attr(0644,root,root) /usr/share/lyx/reLyX/BasicLyX.pm
%attr(0644,root,root) /usr/share/lyx/reLyX/CleanTeX.pm
%attr(0644,root,root) /usr/share/lyx/reLyX/LastLyX.pm
%attr(0644,root,root) /usr/share/lyx/reLyX/MakePreamble.pm
%attr(0644,root,root) /usr/share/lyx/reLyX/ReadCommands.pm
%attr(0644,root,root) /usr/share/lyx/reLyX/RelyxTable.pm
%attr(0644,root,root) /usr/share/lyx/reLyX/reLyXmain.pl
%attr(0644,root,root) %doc /usr/share/lyx/reLyX/README
%attr(0644,root,root) %doc /usr/share/lyx/reLyX/BUGS
%attr(0644,root,root) %doc /usr/share/lyx/reLyX/CHANGES
%attr(0644,root,root) %doc /usr/share/lyx/reLyX/reLyX.pod
%attr(0644,root,root) /usr/share/lyx/reLyX/syntax.default
%attr(0644,root,root) %config /usr/share/lyx/lyxrc
%attr(0644,root,root) /usr/share/lyx/lyxrc.english
%attr(0644,root,root) %doc /usr/share/lyx/CREDITS
%attr(0644,root,root) /usr/share/lyx/chkconfig.ltx
%attr(0755,root,root) /usr/share/lyx/configure
%attr(0644,root,root) %config /usr/share/lyx/lyxrc.defaults
%attr(0644,root,root) %config /usr/share/lyx/textclass.lst
%attr(0644,root,root) %config /usr/share/lyx/packages.lst
%attr(0644,root,root) %doc ANNOUNCE APPLIED_PATCHES BUGS CHANGES
%attr(0644,root,root) %doc COPYING README ABOUT-NLS TODO
%attr(0644,root,root) %doc FONTY.cs README.cs bakalar.pdf.gz bakalar.ps.gz bakalar.tex

%changelog
* Mon Jul 13 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>    (0.12.1pre6-1cz)
- updated to 0.12.1pre6.
- Czech mods by Petr Mejzlik

* Sat Nov 22 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.52-2)
- stoped removing /usr/X11R6/share/lyx/CREDITS (neccesary for dialog Help->
  Credits ..),
- fixed localedir on compile time,
- changed URL (to LyX homepage).
* Thu Nov 20 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.52-1)
- "rm -rf $RPM_BUILD_ROOT" moved from %prep to %install,
- added %clear section,
- fixed entry in %files for *.mo Locale messages files.
* Wed Nov  5 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.47-1)
- added in Requires: gv, tetex-xdvi, tetex, tetex-latex
- added removing /usr/X11R6/share/lyx/lyxrc in %preun.
* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.40-1)
- added missing /usr/X11R6/share/lyx/images.
* Fri Sep 12 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.37-1)
- changed %attr in %doc to (-, root, root),
* Sat Sep  6 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.36-1)
- added "gnulocaledir=/usr/share/locale" to make all in %build,
- fixed path in gnulocaledir to $RPM_BUILD_ROOT/usr/share/locale in
  make install (%install),
* Wed Aug 13 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.35-1)
- added --with-gnu-gettext and --enable-nls to configure,
- added mised %attr in %files,
- /usr/X11R6/share/lyx/CREDITS moved to %doc,
- changed Build root to /tmp/lyx-%%{PACKAGE_VERSION}-root
- added %post and %preun,
* Wed Aug 6 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added %attr macros in %files (allow build package from non root account),
- added striping latex2lyx,
* Tue Jun 1 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- in "Source:" macro %%{PACKAGE_VERSION},
- new version 0.11.29.1.
* Tue May 27 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- changed prefix to /usr/X11R6,
- rewrited spec for using Buildroot,
- added URL.

